Show / Hide Table of Contents

# Class OpenIddictValidationAspNetCoreFeature

Exposes the current validation transaction to the ASP.NET Core host.

##### Inheritance

System.Object
OpenIddictValidationAspNetCoreFeature

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ToString()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: OpenIddict.Validation.AspNetCore

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class OpenIddictValidationAspNetCoreFeature

### Properties

#### Transaction

Gets or sets the validation transaction that encapsulates all specific information about an individual OpenID Connect validation request.

##### Declaration

    public OpenIddictValidationTransaction Transaction { get; set; }

##### Property Value

Type | Description
--- | ---
OpenIddictValidationTransaction |